SATCTL(1)

NAME
satctl - satlab control application

SYNOPSIS
satctl [options] [command]

DESCRIPTION
satctl can be used to communicate with Satlab products using CSP via CAN-bus, UART/RS-422 or multicast Ethernet.

OPTIONS
The following options can be passed to the application:

-c device[@rate], --can=device[@rate]
    Enable CAN transport interface

--can-promisc
    Enable promiscuous mode CAN interfaces

-m device, --mcast=device
    Enable MCAST transport interface

-u device[@rate], --uart=device[@rate]
    Enable UART/KISS transport interface

-s host[:port], --slgnd=host[:port]
    Enable SLGND transport interface

-e device, --udp=device
    Enable UDP transport interface

-z host, --zmqhub=host
    Enable ZMQHUB transport interface

-z, --zmqproxy
    Start built-in ZMQPROXY for ZMQHUB

-i id, --id=id
    Show id as prompt and CSP ident hostname

-n node, --node=node
    Use node as own CSP address

-r routes, --routes=routes
    Use routes as CSP routing table

-k key, --key=key
    Use key as CSP XTEA/HMAC key

-p node, --pingalive=node
    Ping node every second in background

-h, --help
    Print this help and exit

-v, --verbose
    Enable verbose output

--version
    Print satctl version number

EXAMPLES
One or more interface must be selected. To use 1 Mbit/s CAN-bus on the can0 SocketCAN interface, the application can e.g. be run as:
    satlab@satlab:~$ ./build/satctl --can=can0@1000000
    Satlab Control Application v1.20.0
    Copyright (c) 2014-2023 Satlab A/S <satlab@satlab.com>
    Run 'help' for a list of available commands
    [satctl] csp route show
    1/5 LOOP
    0/0 CAN
    [satctl] polaris ping
    Reply in 0.737 ms
    [satctl] polaris prop list store
    Property Type Value
    enable bool true
    seq u32 607651
    stored u32 261106 frames Run help to show a list of built-in commands. The application is closed by running exit or pressing ^D.